質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.00%

初めてのAndroid Studioでいきなり"rendering problems"が出て詰まっています。助けてください!

受付中

回答 2

投稿 編集

  • 評価
  • クリップ 1
  • VIEW 8,238

H-JURI

score 40

androidアプリを作ろうと思っているもので、プログラミング初心者です。android studioでいきなりrender problemと出て、操作ができません。バージョンは1.5.1です。

ドットインストールを見ながら作っていくのを学ぼうと思いました。

しかし、Android Studioをインストールする。

ドットインストールと同じように設定をする(SDKなど)

「start a new android studio project」を起動する。名前を決め、blank activityを選び、始める。

studioのディバイスのところにrendering problemsが表示され、studioのディバイスが反応しない。
イメージ説明

なぜこれが出るのでしょうか。
また、どのようにしたらこれが消えて、正常に作動しますか。

非常に困っています。google検索で対処法を探しましたが、未だに解決できていません。皆様、どうか宜しくお願いします。

---追記---
ご指摘していただいたように、まずAPIレベルを17まで下げて再度起動してみました。
手順的にはまず、
SDKマネージャーからAPIレベル17に対応しているSDKをインストールする。

新しいプロジェクトを起動して、file→project stricture→app→properties,flavorsをAPI17に設定する、を行う。

仮想ディバイスの右上あたりにあるAPIのレベルを17にする。

以上のことを行ってもrendering problemsは無くなりませんでした。
イメージ説明

そこで試しにfileからAPIレベルを23に戻してみました。
すると今度はrendering problemsはでなくなりました。

しかし、ドットインストールでは左サイドバーのappのlayoutの中にあるactivity_main.xmlを用いて開発・解説を行っていくのですが、activity_main.xmlは反応しません。
代わりなのかどうかはわかりませんが、同じlayoutの中にあるcontent_main.xmlは、反応します。そしてそこで編集したことは、activity_main.xmlにも反映されます。ここではbuttomを配置しています。

イメージ説明
イメージ説明

ここでの質問は、
①APIレベル17でrendering problemsが出て、APIレベル23ででないのは何故でしょうか。
②activity_main.xmlが反応しない、さらにcontent_main.xmlは通常のように反応し、その結果がactivity_main.xmlに反映される。というのはandroid studioの更新によって、こういった仕様に変更されたのでしょうか。またその場合、activity_main.xmlの役割とは一体なんなのでしょうか。

どうか宜しくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+1

APIのバージョンが新しいとよくエラーが出るので、21以下に下げてみてください。

それでもだめなら、ビューを表示する端末にNexus4を指定していますが、解像度400x800、メモリを低め(500MBやそれより小さめ)の端末にするといいです。

また、それでもだめなら、Android Studioで使えるメモリを増やしてみてください。
ファイルを変更する方法や、File→Settingsのどこかで設定できたと思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/01/13 07:34

    ご回答ありがとうございます!
    結果が出次第、また報告させていただきます。

    キャンセル

+1

見たところ、エミュレータがアプリケーション(プロジェクト)の画面を描画しようとしたところ、Javaの例外が発生して処理を中止しているようです。

Rendering Problemsとある透過ウィンドウに表示されている、Exception Details以下に、エラー詳細が表示されています。

細かい情報が途切れていますが、要はメソッドを呼び出す際の引数の型や数が定義と異なっているという例外です。

恐らく、エミュレータのAPIレベルより空のプロジェクト(blank activity)のAPIレベルの方が高く、新規に追加された機能を標準で利用しようとして、齟齬が発生していると思います。

ざっと調べたところ、Nexus 4のOSは、発売時点でAndroid 4.2、その後5.1にアップグレードされたようです。

ちなみにAPIレベルは

Android 6.0 : 23
Android 5.1 : 22
Android 4.2 : 17

です。
Android DevelopersのAPIガイドを参照しました。

エミュレータでNexus 4を指定するとどのAPIレベルまでサポートされるのかはわかりませんが、Android 4.2を想定して、プロジェクトのAPIレベルを17以下に設定しなおして、再挑戦してみてください。

それでもだめなら、またご質問ください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/01/13 07:33

    丁寧なご指摘ありがとうございます!
    APIレベルを変更してみましたが、解決はされませんでした。詳細は追記に記させていただきます。
    どうか宜しくお願いします。

    キャンセル

  • 2016/01/15 18:30

    連絡遅くなりすみません。
    中間報告です。

    自分の環境はWindowsですが、クリーンな状態にインストールして同じ事象が起こるかどうか、試しました。

    具体的には、一度、Android Studio 1.5.1(アップデートしたもの)をアンインストール後、関連するフォルダを削除して、一旦、何もインストールされていない状態にしました。
    1.5.1のインストーラがまだリリースされていないため、1.5.0をインストーラでインストール後、1.5.1のZipファイルをダウンロードして展開したファイル群でインストールディレクトリを上書きし、1.5.1にアップデートしました。

    この状態で、ドットインストールと同じ手順を用いて追加のパッケージ等を合わせ、新規プロジェクトを作成して開いたところ、エラーが発生しました。

    まだ、そのエラーの内容と、最初のご質問のエラー内容が同じか、その後追加でアップしていただいた情報とマッチしているかまでは確認できていませんので、この後、時間を取れたら確認したいと思っています。

    取り急ぎ、同一手順でエラーが発生するところまでは確認したことを報告しておきます。

    解決についてはもう少しお時間をいただければと思います。
    即、お役に立てず、すみません。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.00%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る